uniform sampler2D sampler0;
uniform vec2 u_texelDelta;
varying vec4 v_texcoord0;

void main() {
vec3 color = vec3(0, 0, 0);

color += texture2D(sampler0, v_texcoord0.xy + (vec2(-1.0, -1.0) * u_texelDelta)).xyz * 2;

color -= texture2D(sampler0, v_texcoord0.xy + (vec2(1.0, 1.0) * u_texelDelta)).xyz;

color -= texture2D(sampler0, v_texcoord0.xy).xyz;
color = texture2D(sampler0, v_texcoord0.xy).xyz + color;

gl_FragColor.rgb = color;
gl_FragColor.a = 1;
}

/*void main() {
float brightness = 0;
float startbrightness;
vec3 color;

color = texture2D(sampler0, v_texcoord0.xy + (vec2(-1.0, -1.0) * u_texelDelta)).xyz;
brightness += max(max(color.r, color.g), color.b) * 2;

color = texture2D(sampler0, v_texcoord0.xy + (vec2(1.0, 1.0) * u_texelDelta)).xyz;
brightness -= max(max(color.r, color.g), color.b);

color = texture2D(sampler0, v_texcoord0.xy).xyz;
startbrightness = max(max(color.r, color.g), color.b);
brightness -= max(max(color.r, color.g), color.b);

color = color * (brightness + startbrightness) / startbrightness;
  
gl_FragColor.rgb = color;
gl_FragColor.a = 1;
}*/